package com.crunii.micro.common.enums;


/**
 * @Description:愉快政组织单位级别govInstitutionLevelCode
 * @Author: lml
 * @Date: 2023/10/12 15:29
 **/
public enum GovInstitutionLevel {
	ZHENG_GUO_JIA_JI("DAN_WEI_JI_BIE_ZHENG_GUO_JIA_JI", "正国家级"),
	FU_GUO_JIA_JI("DAN_WEI_JI_BIE_FU_GUO_JIA_JI", "副国家级"),
	ZHENG_SHENG_BU_JI("DAN_WEI_JI_BIE_ZHENG_SHENG_BU_JI", "正省部级"),
	FU_SHENG_BU_JI("DAN_WEI_JI_BIE_FU_SHENG_BU_JI", "副省部级"),
	ZHENG_SI_TING_JU_JI("DAN_WEI_JI_BIE_ZHENG_SI_TING_JU_JI", "正司厅局级"),
	FU_SI_TING_JU_JI("DAN_WEI_JI_BIE_FU_SI_TING_JU_JI", "副司厅局级"),
	ZHENG_XIAN_CHU_JI("DAN_WEI_JI_BIE_ZHENG_XIAN_CHU_JI", "正县处级"),
	FU_XIAN_CHU_JI("DAN_WEI_JI_BIE_FU_XIAN_CHU_JI", "副县处级"),
	ZHENG_XIANG_ZHEN_KE_JI("DAN_WEI_JI_BIE_ZHENG_XIANG_ZHEN_KE_JI", "正乡镇科级"),
	FU_XIANG_ZHEN_KE_JI("DAN_WEI_JI_BIE_FU_XIANG_ZHEN_KE_JI", "副乡镇科级"),
	QUN_ZHONG_ZI_ZHI_TUAN_TI("DAN_WEI_JI_BIE_QUN_ZHONG_ZI_ZHI_TUAN_TI", "群众自治团体"),
	QI_TA("DAN_WEI_JI_BIE_QI_TA", "其他");

	private String code;
	private String chineseMeaning;

	GovInstitutionLevel(String code, String chineseMeaning) {
		this.code = code;
		this.chineseMeaning = chineseMeaning;
	}

	public String getCode() {
		return code;
	}

	public String getChineseMeaning() {
		return chineseMeaning;
	}

	public static GovInstitutionLevel fromCode(String code) {
		for (GovInstitutionLevel level : values()) {
			if (level.code.equals(code)) {
				return level;
			}
		}
		return null;
	}
}
